Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network72.45.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
72.45.0.0
Broadcast address
72.45.127.255
First usable
72.45.0.1
Last usable
72.45.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 482D0000 · Integer 1210908672 to 1210941439
Reverse DNS zones
0.45.72.in-addr.arpa
1.45.72.in-addr.arpa
2.45.72.in-addr.arpa
3.45.72.in-addr.arpa
4.45.72.in-addr.arpa
5.45.72.in-addr.arpa
6.45.72.in-addr.arpa
7.45.72.in-addr.arpa
8.45.72.in-addr.arpa
9.45.72.in-addr.arpa
10.45.72.in-addr.arpa
11.45.72.in-addr.arpa
12.45.72.in-addr.arpa
13.45.72.in-addr.arpa
14.45.72.in-addr.arpa
15.45.72.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001000.00101101.00000000.0000000072.45.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01001000.00101101.00000000.0000000072.45.0.0
Broadcast01001000.00101101.01111111.1111111172.45.127.255
Split into smaller subnets/27

72.45.0.0/17 makes 1,024 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
172.45.0.0/2772.45.0.1 to 72.45.0.3072.45.0.3130
272.45.0.32/2772.45.0.33 to 72.45.0.6272.45.0.6330
372.45.0.64/2772.45.0.65 to 72.45.0.9472.45.0.9530
472.45.0.96/2772.45.0.97 to 72.45.0.12672.45.0.12730
572.45.0.128/2772.45.0.129 to 72.45.0.15872.45.0.15930
672.45.0.160/2772.45.0.161 to 72.45.0.19072.45.0.19130
772.45.0.192/2772.45.0.193 to 72.45.0.22272.45.0.22330
872.45.0.224/2772.45.0.225 to 72.45.0.25472.45.0.25530
972.45.1.0/2772.45.1.1 to 72.45.1.3072.45.1.3130
1072.45.1.32/2772.45.1.33 to 72.45.1.6272.45.1.6330
1172.45.1.64/2772.45.1.65 to 72.45.1.9472.45.1.9530
1272.45.1.96/2772.45.1.97 to 72.45.1.12672.45.1.12730
1372.45.1.128/2772.45.1.129 to 72.45.1.15872.45.1.15930
1472.45.1.160/2772.45.1.161 to 72.45.1.19072.45.1.19130
1572.45.1.192/2772.45.1.193 to 72.45.1.22272.45.1.22330
1672.45.1.224/2772.45.1.225 to 72.45.1.25472.45.1.25530
1772.45.2.0/2772.45.2.1 to 72.45.2.3072.45.2.3130
1872.45.2.32/2772.45.2.33 to 72.45.2.6272.45.2.6330
1972.45.2.64/2772.45.2.65 to 72.45.2.9472.45.2.9530
2072.45.2.96/2772.45.2.97 to 72.45.2.12672.45.2.12730
2172.45.2.128/2772.45.2.129 to 72.45.2.15872.45.2.15930
2272.45.2.160/2772.45.2.161 to 72.45.2.19072.45.2.19130
2372.45.2.192/2772.45.2.193 to 72.45.2.22272.45.2.22330
2472.45.2.224/2772.45.2.225 to 72.45.2.25472.45.2.25530
2572.45.3.0/2772.45.3.1 to 72.45.3.3072.45.3.3130
2672.45.3.32/2772.45.3.33 to 72.45.3.6272.45.3.6330
2772.45.3.64/2772.45.3.65 to 72.45.3.9472.45.3.9530
2872.45.3.96/2772.45.3.97 to 72.45.3.12672.45.3.12730
2972.45.3.128/2772.45.3.129 to 72.45.3.15872.45.3.15930
3072.45.3.160/2772.45.3.161 to 72.45.3.19072.45.3.19130
3172.45.3.192/2772.45.3.193 to 72.45.3.22272.45.3.22330
3272.45.3.224/2772.45.3.225 to 72.45.3.25472.45.3.25530
3372.45.4.0/2772.45.4.1 to 72.45.4.3072.45.4.3130
3472.45.4.32/2772.45.4.33 to 72.45.4.6272.45.4.6330
3572.45.4.64/2772.45.4.65 to 72.45.4.9472.45.4.9530
3672.45.4.96/2772.45.4.97 to 72.45.4.12672.45.4.12730
3772.45.4.128/2772.45.4.129 to 72.45.4.15872.45.4.15930
3872.45.4.160/2772.45.4.161 to 72.45.4.19072.45.4.19130
3972.45.4.192/2772.45.4.193 to 72.45.4.22272.45.4.22330
4072.45.4.224/2772.45.4.225 to 72.45.4.25472.45.4.25530
4172.45.5.0/2772.45.5.1 to 72.45.5.3072.45.5.3130
4272.45.5.32/2772.45.5.33 to 72.45.5.6272.45.5.6330
4372.45.5.64/2772.45.5.65 to 72.45.5.9472.45.5.9530
4472.45.5.96/2772.45.5.97 to 72.45.5.12672.45.5.12730
4572.45.5.128/2772.45.5.129 to 72.45.5.15872.45.5.15930
4672.45.5.160/2772.45.5.161 to 72.45.5.19072.45.5.19130
4772.45.5.192/2772.45.5.193 to 72.45.5.22272.45.5.22330
4872.45.5.224/2772.45.5.225 to 72.45.5.25472.45.5.25530
4972.45.6.0/2772.45.6.1 to 72.45.6.3072.45.6.3130
5072.45.6.32/2772.45.6.33 to 72.45.6.6272.45.6.6330
5172.45.6.64/2772.45.6.65 to 72.45.6.9472.45.6.9530
5272.45.6.96/2772.45.6.97 to 72.45.6.12672.45.6.12730
5372.45.6.128/2772.45.6.129 to 72.45.6.15872.45.6.15930
5472.45.6.160/2772.45.6.161 to 72.45.6.19072.45.6.19130
5572.45.6.192/2772.45.6.193 to 72.45.6.22272.45.6.22330
5672.45.6.224/2772.45.6.225 to 72.45.6.25472.45.6.25530
5772.45.7.0/2772.45.7.1 to 72.45.7.3072.45.7.3130
5872.45.7.32/2772.45.7.33 to 72.45.7.6272.45.7.6330
5972.45.7.64/2772.45.7.65 to 72.45.7.9472.45.7.9530
6072.45.7.96/2772.45.7.97 to 72.45.7.12672.45.7.12730
6172.45.7.128/2772.45.7.129 to 72.45.7.15872.45.7.15930
6272.45.7.160/2772.45.7.161 to 72.45.7.19072.45.7.19130
6372.45.7.192/2772.45.7.193 to 72.45.7.22272.45.7.22330
6472.45.7.224/2772.45.7.225 to 72.45.7.25472.45.7.25530
6572.45.8.0/2772.45.8.1 to 72.45.8.3072.45.8.3130
6672.45.8.32/2772.45.8.33 to 72.45.8.6272.45.8.6330
6772.45.8.64/2772.45.8.65 to 72.45.8.9472.45.8.9530
6872.45.8.96/2772.45.8.97 to 72.45.8.12672.45.8.12730
6972.45.8.128/2772.45.8.129 to 72.45.8.15872.45.8.15930
7072.45.8.160/2772.45.8.161 to 72.45.8.19072.45.8.19130
7172.45.8.192/2772.45.8.193 to 72.45.8.22272.45.8.22330
7272.45.8.224/2772.45.8.225 to 72.45.8.25472.45.8.25530
7372.45.9.0/2772.45.9.1 to 72.45.9.3072.45.9.3130
7472.45.9.32/2772.45.9.33 to 72.45.9.6272.45.9.6330
7572.45.9.64/2772.45.9.65 to 72.45.9.9472.45.9.9530
7672.45.9.96/2772.45.9.97 to 72.45.9.12672.45.9.12730
7772.45.9.128/2772.45.9.129 to 72.45.9.15872.45.9.15930
7872.45.9.160/2772.45.9.161 to 72.45.9.19072.45.9.19130
7972.45.9.192/2772.45.9.193 to 72.45.9.22272.45.9.22330
8072.45.9.224/2772.45.9.225 to 72.45.9.25472.45.9.25530
8172.45.10.0/2772.45.10.1 to 72.45.10.3072.45.10.3130
8272.45.10.32/2772.45.10.33 to 72.45.10.6272.45.10.6330
8372.45.10.64/2772.45.10.65 to 72.45.10.9472.45.10.9530
8472.45.10.96/2772.45.10.97 to 72.45.10.12672.45.10.12730
8572.45.10.128/2772.45.10.129 to 72.45.10.15872.45.10.15930
8672.45.10.160/2772.45.10.161 to 72.45.10.19072.45.10.19130
8772.45.10.192/2772.45.10.193 to 72.45.10.22272.45.10.22330
8872.45.10.224/2772.45.10.225 to 72.45.10.25472.45.10.25530
8972.45.11.0/2772.45.11.1 to 72.45.11.3072.45.11.3130
9072.45.11.32/2772.45.11.33 to 72.45.11.6272.45.11.6330
9172.45.11.64/2772.45.11.65 to 72.45.11.9472.45.11.9530
9272.45.11.96/2772.45.11.97 to 72.45.11.12672.45.11.12730
9372.45.11.128/2772.45.11.129 to 72.45.11.15872.45.11.15930
9472.45.11.160/2772.45.11.161 to 72.45.11.19072.45.11.19130
9572.45.11.192/2772.45.11.193 to 72.45.11.22272.45.11.22330
9672.45.11.224/2772.45.11.225 to 72.45.11.25472.45.11.25530
9772.45.12.0/2772.45.12.1 to 72.45.12.3072.45.12.3130
9872.45.12.32/2772.45.12.33 to 72.45.12.6272.45.12.6330
9972.45.12.64/2772.45.12.65 to 72.45.12.9472.45.12.9530
10072.45.12.96/2772.45.12.97 to 72.45.12.12672.45.12.12730
10172.45.12.128/2772.45.12.129 to 72.45.12.15872.45.12.15930
10272.45.12.160/2772.45.12.161 to 72.45.12.19072.45.12.19130
10372.45.12.192/2772.45.12.193 to 72.45.12.22272.45.12.22330
10472.45.12.224/2772.45.12.225 to 72.45.12.25472.45.12.25530
10572.45.13.0/2772.45.13.1 to 72.45.13.3072.45.13.3130
10672.45.13.32/2772.45.13.33 to 72.45.13.6272.45.13.6330
10772.45.13.64/2772.45.13.65 to 72.45.13.9472.45.13.9530
10872.45.13.96/2772.45.13.97 to 72.45.13.12672.45.13.12730
10972.45.13.128/2772.45.13.129 to 72.45.13.15872.45.13.15930
11072.45.13.160/2772.45.13.161 to 72.45.13.19072.45.13.19130
11172.45.13.192/2772.45.13.193 to 72.45.13.22272.45.13.22330
11272.45.13.224/2772.45.13.225 to 72.45.13.25472.45.13.25530
11372.45.14.0/2772.45.14.1 to 72.45.14.3072.45.14.3130
11472.45.14.32/2772.45.14.33 to 72.45.14.6272.45.14.6330
11572.45.14.64/2772.45.14.65 to 72.45.14.9472.45.14.9530
11672.45.14.96/2772.45.14.97 to 72.45.14.12672.45.14.12730
11772.45.14.128/2772.45.14.129 to 72.45.14.15872.45.14.15930
11872.45.14.160/2772.45.14.161 to 72.45.14.19072.45.14.19130
11972.45.14.192/2772.45.14.193 to 72.45.14.22272.45.14.22330
12072.45.14.224/2772.45.14.225 to 72.45.14.25472.45.14.25530
12172.45.15.0/2772.45.15.1 to 72.45.15.3072.45.15.3130
12272.45.15.32/2772.45.15.33 to 72.45.15.6272.45.15.6330
12372.45.15.64/2772.45.15.65 to 72.45.15.9472.45.15.9530
12472.45.15.96/2772.45.15.97 to 72.45.15.12672.45.15.12730
12572.45.15.128/2772.45.15.129 to 72.45.15.15872.45.15.15930
12672.45.15.160/2772.45.15.161 to 72.45.15.19072.45.15.19130
12772.45.15.192/2772.45.15.193 to 72.45.15.22272.45.15.22330
12872.45.15.224/2772.45.15.225 to 72.45.15.25472.45.15.25530
12972.45.16.0/2772.45.16.1 to 72.45.16.3072.45.16.3130
13072.45.16.32/2772.45.16.33 to 72.45.16.6272.45.16.6330
13172.45.16.64/2772.45.16.65 to 72.45.16.9472.45.16.9530
13272.45.16.96/2772.45.16.97 to 72.45.16.12672.45.16.12730
13372.45.16.128/2772.45.16.129 to 72.45.16.15872.45.16.15930
13472.45.16.160/2772.45.16.161 to 72.45.16.19072.45.16.19130
13572.45.16.192/2772.45.16.193 to 72.45.16.22272.45.16.22330
13672.45.16.224/2772.45.16.225 to 72.45.16.25472.45.16.25530
13772.45.17.0/2772.45.17.1 to 72.45.17.3072.45.17.3130
13872.45.17.32/2772.45.17.33 to 72.45.17.6272.45.17.6330
13972.45.17.64/2772.45.17.65 to 72.45.17.9472.45.17.9530
14072.45.17.96/2772.45.17.97 to 72.45.17.12672.45.17.12730
14172.45.17.128/2772.45.17.129 to 72.45.17.15872.45.17.15930
14272.45.17.160/2772.45.17.161 to 72.45.17.19072.45.17.19130
14372.45.17.192/2772.45.17.193 to 72.45.17.22272.45.17.22330
14472.45.17.224/2772.45.17.225 to 72.45.17.25472.45.17.25530
14572.45.18.0/2772.45.18.1 to 72.45.18.3072.45.18.3130
14672.45.18.32/2772.45.18.33 to 72.45.18.6272.45.18.6330
14772.45.18.64/2772.45.18.65 to 72.45.18.9472.45.18.9530
14872.45.18.96/2772.45.18.97 to 72.45.18.12672.45.18.12730
14972.45.18.128/2772.45.18.129 to 72.45.18.15872.45.18.15930
15072.45.18.160/2772.45.18.161 to 72.45.18.19072.45.18.19130
15172.45.18.192/2772.45.18.193 to 72.45.18.22272.45.18.22330
15272.45.18.224/2772.45.18.225 to 72.45.18.25472.45.18.25530
15372.45.19.0/2772.45.19.1 to 72.45.19.3072.45.19.3130
15472.45.19.32/2772.45.19.33 to 72.45.19.6272.45.19.6330
15572.45.19.64/2772.45.19.65 to 72.45.19.9472.45.19.9530
15672.45.19.96/2772.45.19.97 to 72.45.19.12672.45.19.12730
15772.45.19.128/2772.45.19.129 to 72.45.19.15872.45.19.15930
15872.45.19.160/2772.45.19.161 to 72.45.19.19072.45.19.19130
15972.45.19.192/2772.45.19.193 to 72.45.19.22272.45.19.22330
16072.45.19.224/2772.45.19.225 to 72.45.19.25472.45.19.25530
16172.45.20.0/2772.45.20.1 to 72.45.20.3072.45.20.3130
16272.45.20.32/2772.45.20.33 to 72.45.20.6272.45.20.6330
16372.45.20.64/2772.45.20.65 to 72.45.20.9472.45.20.9530
16472.45.20.96/2772.45.20.97 to 72.45.20.12672.45.20.12730
16572.45.20.128/2772.45.20.129 to 72.45.20.15872.45.20.15930
16672.45.20.160/2772.45.20.161 to 72.45.20.19072.45.20.19130
16772.45.20.192/2772.45.20.193 to 72.45.20.22272.45.20.22330
16872.45.20.224/2772.45.20.225 to 72.45.20.25472.45.20.25530
16972.45.21.0/2772.45.21.1 to 72.45.21.3072.45.21.3130
17072.45.21.32/2772.45.21.33 to 72.45.21.6272.45.21.6330
17172.45.21.64/2772.45.21.65 to 72.45.21.9472.45.21.9530
17272.45.21.96/2772.45.21.97 to 72.45.21.12672.45.21.12730
17372.45.21.128/2772.45.21.129 to 72.45.21.15872.45.21.15930
17472.45.21.160/2772.45.21.161 to 72.45.21.19072.45.21.19130
17572.45.21.192/2772.45.21.193 to 72.45.21.22272.45.21.22330
17672.45.21.224/2772.45.21.225 to 72.45.21.25472.45.21.25530
17772.45.22.0/2772.45.22.1 to 72.45.22.3072.45.22.3130
17872.45.22.32/2772.45.22.33 to 72.45.22.6272.45.22.6330
17972.45.22.64/2772.45.22.65 to 72.45.22.9472.45.22.9530
18072.45.22.96/2772.45.22.97 to 72.45.22.12672.45.22.12730
18172.45.22.128/2772.45.22.129 to 72.45.22.15872.45.22.15930
18272.45.22.160/2772.45.22.161 to 72.45.22.19072.45.22.19130
18372.45.22.192/2772.45.22.193 to 72.45.22.22272.45.22.22330
18472.45.22.224/2772.45.22.225 to 72.45.22.25472.45.22.25530
18572.45.23.0/2772.45.23.1 to 72.45.23.3072.45.23.3130
18672.45.23.32/2772.45.23.33 to 72.45.23.6272.45.23.6330
18772.45.23.64/2772.45.23.65 to 72.45.23.9472.45.23.9530
18872.45.23.96/2772.45.23.97 to 72.45.23.12672.45.23.12730
18972.45.23.128/2772.45.23.129 to 72.45.23.15872.45.23.15930
19072.45.23.160/2772.45.23.161 to 72.45.23.19072.45.23.19130
19172.45.23.192/2772.45.23.193 to 72.45.23.22272.45.23.22330
19272.45.23.224/2772.45.23.225 to 72.45.23.25472.45.23.25530
19372.45.24.0/2772.45.24.1 to 72.45.24.3072.45.24.3130
19472.45.24.32/2772.45.24.33 to 72.45.24.6272.45.24.6330
19572.45.24.64/2772.45.24.65 to 72.45.24.9472.45.24.9530
19672.45.24.96/2772.45.24.97 to 72.45.24.12672.45.24.12730
19772.45.24.128/2772.45.24.129 to 72.45.24.15872.45.24.15930
19872.45.24.160/2772.45.24.161 to 72.45.24.19072.45.24.19130
19972.45.24.192/2772.45.24.193 to 72.45.24.22272.45.24.22330
20072.45.24.224/2772.45.24.225 to 72.45.24.25472.45.24.25530
20172.45.25.0/2772.45.25.1 to 72.45.25.3072.45.25.3130
20272.45.25.32/2772.45.25.33 to 72.45.25.6272.45.25.6330
20372.45.25.64/2772.45.25.65 to 72.45.25.9472.45.25.9530
20472.45.25.96/2772.45.25.97 to 72.45.25.12672.45.25.12730
20572.45.25.128/2772.45.25.129 to 72.45.25.15872.45.25.15930
20672.45.25.160/2772.45.25.161 to 72.45.25.19072.45.25.19130
20772.45.25.192/2772.45.25.193 to 72.45.25.22272.45.25.22330
20872.45.25.224/2772.45.25.225 to 72.45.25.25472.45.25.25530
20972.45.26.0/2772.45.26.1 to 72.45.26.3072.45.26.3130
21072.45.26.32/2772.45.26.33 to 72.45.26.6272.45.26.6330
21172.45.26.64/2772.45.26.65 to 72.45.26.9472.45.26.9530
21272.45.26.96/2772.45.26.97 to 72.45.26.12672.45.26.12730
21372.45.26.128/2772.45.26.129 to 72.45.26.15872.45.26.15930
21472.45.26.160/2772.45.26.161 to 72.45.26.19072.45.26.19130
21572.45.26.192/2772.45.26.193 to 72.45.26.22272.45.26.22330
21672.45.26.224/2772.45.26.225 to 72.45.26.25472.45.26.25530
21772.45.27.0/2772.45.27.1 to 72.45.27.3072.45.27.3130
21872.45.27.32/2772.45.27.33 to 72.45.27.6272.45.27.6330
21972.45.27.64/2772.45.27.65 to 72.45.27.9472.45.27.9530
22072.45.27.96/2772.45.27.97 to 72.45.27.12672.45.27.12730
22172.45.27.128/2772.45.27.129 to 72.45.27.15872.45.27.15930
22272.45.27.160/2772.45.27.161 to 72.45.27.19072.45.27.19130
22372.45.27.192/2772.45.27.193 to 72.45.27.22272.45.27.22330
22472.45.27.224/2772.45.27.225 to 72.45.27.25472.45.27.25530
22572.45.28.0/2772.45.28.1 to 72.45.28.3072.45.28.3130
22672.45.28.32/2772.45.28.33 to 72.45.28.6272.45.28.6330
22772.45.28.64/2772.45.28.65 to 72.45.28.9472.45.28.9530
22872.45.28.96/2772.45.28.97 to 72.45.28.12672.45.28.12730
22972.45.28.128/2772.45.28.129 to 72.45.28.15872.45.28.15930
23072.45.28.160/2772.45.28.161 to 72.45.28.19072.45.28.19130
23172.45.28.192/2772.45.28.193 to 72.45.28.22272.45.28.22330
23272.45.28.224/2772.45.28.225 to 72.45.28.25472.45.28.25530
23372.45.29.0/2772.45.29.1 to 72.45.29.3072.45.29.3130
23472.45.29.32/2772.45.29.33 to 72.45.29.6272.45.29.6330
23572.45.29.64/2772.45.29.65 to 72.45.29.9472.45.29.9530
23672.45.29.96/2772.45.29.97 to 72.45.29.12672.45.29.12730
23772.45.29.128/2772.45.29.129 to 72.45.29.15872.45.29.15930
23872.45.29.160/2772.45.29.161 to 72.45.29.19072.45.29.19130
23972.45.29.192/2772.45.29.193 to 72.45.29.22272.45.29.22330
24072.45.29.224/2772.45.29.225 to 72.45.29.25472.45.29.25530
24172.45.30.0/2772.45.30.1 to 72.45.30.3072.45.30.3130
24272.45.30.32/2772.45.30.33 to 72.45.30.6272.45.30.6330
24372.45.30.64/2772.45.30.65 to 72.45.30.9472.45.30.9530
24472.45.30.96/2772.45.30.97 to 72.45.30.12672.45.30.12730
24572.45.30.128/2772.45.30.129 to 72.45.30.15872.45.30.15930
24672.45.30.160/2772.45.30.161 to 72.45.30.19072.45.30.19130
24772.45.30.192/2772.45.30.193 to 72.45.30.22272.45.30.22330
24872.45.30.224/2772.45.30.225 to 72.45.30.25472.45.30.25530
24972.45.31.0/2772.45.31.1 to 72.45.31.3072.45.31.3130
25072.45.31.32/2772.45.31.33 to 72.45.31.6272.45.31.6330
25172.45.31.64/2772.45.31.65 to 72.45.31.9472.45.31.9530
25272.45.31.96/2772.45.31.97 to 72.45.31.12672.45.31.12730
25372.45.31.128/2772.45.31.129 to 72.45.31.15872.45.31.15930
25472.45.31.160/2772.45.31.161 to 72.45.31.19072.45.31.19130
25572.45.31.192/2772.45.31.193 to 72.45.31.22272.45.31.22330
25672.45.31.224/2772.45.31.225 to 72.45.31.25472.45.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses